_OrtpAudioBandwidthEstimatorParams Struct Reference

`#include <rtpsession.h>`

## Data Fields

int | enabled
unsigned int | packets_history_size
unsigned int | trust_percentage
unsigned int | duplicated_packet_rate

## Detailed Description

Structure describing the audio bandwidth estimator parameters

## Field Documentation

## duplicated_packet_rate

unsigned int _OrtpAudioBandwidthEstimatorParams::duplicated_packet_rate

the rate packets are duplicated by sender

## enabled

int _OrtpAudioBandwidthEstimatorParams::enabled

Whether estimator is enabled or off.

## packets_history_size

unsigned int _OrtpAudioBandwidthEstimatorParams::packets_history_size

number of packets needed to compute the available video bandwidth

## trust_percentage

unsigned int _OrtpAudioBandwidthEstimatorParams::trust_percentage

percentage for which the chosen bandwidth value in all available will be inferior

The documentation for this struct was generated from the following file:

- rtpsession.h